Subject: Re: bug#23830: 25.0.94; Emacs eats left Windows key on Windows 7

From: Eli Zaretskii <[email-masked]>
Date: Thu, 23 Jun 2016 17:34:07 +0300

> From: Richard Copley <[email-masked]>
> Date: Thu, 23 Jun 2016 12:03:44 +0100
> Cc: [email-masked]
> 
> Eli, sorry for replying to you personally instead of to the bug.
> Eli said:
> > We merge from emacs-25 to master, so commits from emacs-26 eventually
> > appear on master as well.
> 
> I said:
> > What still confuses me is that the other revision ab182c6 which is not on
> > emacs-25 appears in the log.
> 
> The problem was that my local emacs-25 branch was pointing to master.
> I had "git branch --set-upstream-to=origin $branch" in my build script.
> Should have been "git branch --set-upstream-to=origin/$branch $branch".
> Having fixed that the root log starts "(HEAD -> emacs-25,
> origin/emacs-25)" and contains 788c9b6 but not ab182c6 which is what I
> expected.

OK.  The bug was caused by a silly typo, now fixed.

Thanks.